Bug 151542 - evince goes incommunicado after quick paging from a keyboard
evince goes incommunicado after quick paging from a keyboard
Product: Fedora
Classification: Fedora
Component: evince (Show other bugs)
All Linux
medium Severity medium
: ---
: ---
Assigned To: Marco Pesenti Gritti
Depends On:
  Show dependency treegraph
Reported: 2005-03-18 20:17 EST by Michal Jaegermann
Modified: 2007-11-30 17:11 EST (History)
0 users

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Last Closed: 2005-06-02 04:15:54 EDT
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---

Attachments (Terms of Use)

  None (edit)
Description Michal Jaegermann 2005-03-18 20:17:14 EST
Description of problem:

Here is a trivial recipe for making evince useless from a keyboard.
Take a multipage PostScript file; something of an order of 40-50 pages
should do.  No fancy graphics or complicated PS trickery.  Just plain
text is enough.  Page forward, and maybe backward, from a keybord by
hitting quickly "PageDown" (and "PageUp" if needed but it is not likely
that you will get that far).  Possibly hold down such key for a short
while.  Very quickly evince window goes blank and only an hourglass
cursor rotates in it from time to time.  Waiting for a prolonged periods
of time for a recovery does not seem to change anything at all.  The
only thing one can do is to kill the program by closing its window.

In a contrast paging quickly there and back from a keyboard in gv (there
arefew ways and not only "PageDown"-"PageUp") does not ever cause such
effects and all pages display properly.

Version-Release number of selected component (if applicable):

How reproducible:
100% although where evince goes catatonic is not exactly deterministic.
Comment 1 John Thacker 2005-04-24 22:54:25 EDT
Try this with the new 0.2.1 package.  The problems when skipping pages seem to
be decreased.
Comment 2 Michal Jaegermann 2005-04-25 16:04:22 EDT
Indeed.  One is loosing a visual feedback, which can be annoying when searching
for something which is known to be "somewhere there", but so far I did not
get 0.2.1 evince to lock up on me when flipping fast through document pages.
Comment 3 Marco Pesenti Gritti 2005-05-31 06:36:11 EDT
What is the status of this with 0.3.1?
Comment 4 Michal Jaegermann 2005-05-31 17:16:22 EDT
> What is the status of this with 0.3.1

I do not see much difference with 0.2.1.  But if one will hit Ctrl-R (reload)
after scrolling through few pages then there are chances for an immediate
lockup and evince consitently was locking up at the second reload the
latest (see bug 149914).  When started from a shell prompt sometimes there
is nothing on a terminal but chances are that you will see various backtraces.
So far I did not really see two which look the same.  But they start with
lines like:

*** glibc detected *** evince: corrupted double-linked list: .....
*** glibc detected *** evince: double free or corruption (out): .....
*** glibc detected *** evince: double free or corruption (fasttop): ....

If paging was not done there is a chance that evince will survive more
reloads.  Maybe even three and will lock up only on fourth one.  OTOH
it locks up eventually every time even if not from paging alone.
Comment 5 Marco Pesenti Gritti 2005-06-01 04:13:05 EDT
Problems on reload are known and are being worked on. I'm interested to know if
there are still problems with keyboard navigation.
Comment 6 Michal Jaegermann 2005-06-01 11:48:14 EDT
As noted in comment #4 reload problems and keyboard navigation do not
seem to be totally unrelated.
Comment 7 Marco Pesenti Gritti 2005-06-01 12:37:12 EDT
Hmmm let's try to be some more explicit. Does PageDown PageUp works now? This is
what this bug was about and if this works now it should be marked FIXED.

As I said before ctrl+r is a different bug, and is already tracked upstream:
Comment 8 Michal Jaegermann 2005-06-01 16:50:39 EDT
Comment #2 said that it does work, i.e it does not die, with version 0.2.1
and comment #4 starts with that the situation is the same with 0.3.1 (even
if it later notes that there seem to be some side-effects but if you plan
to look at these I do not know).
Comment 9 Marco Pesenti Gritti 2005-06-02 04:15:54 EDT
Marking fixed. ctrl+r is a different issue.

Note You need to log in before you can comment on or make changes to this bug.